=== debian/changelog ===
dvdwizard (0.6.2-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Update debian/copyright.
  * debian/patches/02-spelling_errors.patch:
    - Fix spelling errors in manpages.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 10 Jan 2010 10:48:37 +0100

dvdwizard (0.6.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/control: Bump imagemagick minimal version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 01 Dec 2009 23:03:31 +0100

dvdwizard (0.6.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Define larger default TVSIZE.
    - New bgratio option for VRATIO flexibility.
    - Use 16:9 background images inside 4:3 menu for widescreen videos
    - Compute some sizes of menu background images
    - Check whether TVSIZE is inside range
    - Add some manpages.
    - Change license from GPL-2 to GPL-3.
  * Update debian/copyright.
  * Refresh 01_dvdwizardrc-path.patch, the scripts are fixed during the build.
  * debian/rules:
    - Use the Makefile to build the scripts.
    - Skip checks, otherwise fails to build.
    - Manually install the files.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 04 Nov 2009 00:28:16 +0100

dvdwizard (0.5.7-0.4ubuntu1) karmic; urgency=low

  * Switch to debhelper 7.
  * debian/control:
    - Bump debhelper, quilt build-dependencies.
    - Bump Standards:
      + Add ${misc:Depends} macro to Depends field.
    - Move to video section.
  * Update debian/copyright.
  * Add README.source file.
  * Remove unnecessary debian/postinst file.
  * Add dvdwizard.{docs,dirs}.
  * debian/manpages -> debian/dvdwizard.manpages
  * debian/patches/01_dvdwizardrc-path.diff: Add description to make lintian
    happy.
  * A bit of cleanup.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 30 Aug 2009 20:37:44 +0200

dvdwizard (0.5.7-0.4) unstable; urgency=low

  * toolame has been replaced by ffmpeg to generate silent audio track, then
    Update the Depends fiekd.

 -- Christian Marillat <marillat@debian.org>  Wed, 03 Jun 2009 00:02:01 +0200

dvdwizard (0.5.7-0.3) unstable; urgency=low

  * Fix a missing dvdwizardrc path in dvdwizard (Thanks to Edelhard Becker).

 -- Christian Marillat <marillat@debian.org>  Tue, 26 May 2009 18:51:47 +0200

dvdwizard (0.5.7-0.2) unstable; urgency=low

  * Install dvdwizard.conf in /etc
  * The path for dvdwizardrc is /usr/share/dvdwizard in all scripts.
  * The default path for generated files is now $HOME/dvdwizard

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Apr 2009 23:08:27 +0200

dvdwizard (0.5.7-0.1) unstable; urgency=low

  * Removed 001.txt file in diff.gz.

 -- Christian Marillat <marillat@debian.org>  Wed, 15 Apr 2009 14:40:07 +0200

dvdwizard (0.5.7-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 08 Apr 2009 17:24:19 +0200

dvdwizard (0.5.6-0.0) unstable; urgency=low

  * New upstream release.
  * Support for transcode 1.1.0
  * Support for ImageMagick until 6.4.0 - 6.4.9
  * Change path for 'dvdwizardrc' to /usr/share/dvdwizard/dvdwizardrc.

 -- Christian Marillat <marillat@debian.org>  Tue, 24 Feb 2009 15:19:21 +0100

dvdwizard (0.5.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Aug 2007 16:18:11 +0200

dvdwizard (0.5-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri,  1 Sep 2006 10:01:35 +0200

dvdwizard (0.4.2c-0.0) unstable; urgency=low

  * New upstream release.
  * Removed my hack.

 -- Christian Marillat <marillat@debian.org>  Mon,  9 Jan 2006 11:54:54 +0100

dvdwizard (0.4.2b-0.0) unstable; urgency=low

  * New upstream release.
  * Add a version to mjpegtools (>= 1.6.0) dependency.

 -- Christian Marillat <marillat@debian.org>  Tue,  3 Jan 2006 15:49:30 +0100

dvdwizard (0.4.2a-0.2) unstable; urgency=low

  * Add missing $ in dvdwizard and dvdwizardrc. Tahnks to Pascal Giard for
    the patch.

 -- Christian Marillat <marillat@debian.org>  Thu, 22 Dec 2005 10:49:33 +0100

dvdwizard (0.4.2a-0.1) unstable; urgency=low

  * Add a control file for reportbug.

 -- Christian Marillat <marillat@debian.org>  Wed,  9 Nov 2005 13:49:23 +0100

dvdwizard (0.4.2a-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon,  7 Nov 2005 14:25:37 +0100
