=== debian/control ===
Source: dvdwizard
Section: video
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Homepage: http://www.joonet.de/dvdwizard/
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~)

Package: dvdwizard
Architecture: all
Depends: dvdauthor,
 imagemagick (>= 7:6.3.5),
 mjpegtools (>= 1.6.0),
 transcode,
 ffmpeg,
 ${misc:Depends}
Description: fully automated creation of a DVD-structure
 A wrapper-script which incorporates a fully automated creation of a
 DVD-structure with Chapters and menus from one or more mpeg-streams. This
 is done by several "sub-scripts" and various freely available tools.
