=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) prefix=/usr

override_dh_auto_test:

override_dh_auto_install:
	cp $(CURDIR)/dvdwizard.conf.sample \
		$(CURDIR)/debian/dvdwizard/etc/dvdwizard.conf
