## dvdwizard 0.6.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #   Makefile - main makefile for package dvdwizard
 #
-#   Copyright (C) 2009 Joo Martin <joomart2009 at users.sf.net>
+#   Copyright (C) 2009-2011 Joo Martin <joomart2009 at users.sf.net>
 #
 #   This program is free software: you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
