=== debian/changelog ===
dvdwizard (0.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 03 Jan 2011 10:16:39 +0100

dvdwizard (0.6.3-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Do not use ffmpeg option '-ab' with 'kb' unit, this is old.
    - Add new Czech translation (thanks to Martin Palecek).
    - Tested with ImageMagick 6.6.0-4.
  * Delete 02-spelling_errors.patch, applied upstream.
  * debian/control:
    - Bump imagemagick minimal version.
    - Update Standards-Version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 21 Oct 2010 17:45:47 +0200
