=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
 Homepage: http://www.joonet.de/dvdwizard/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.0.50~)
 
 Package: dvdwizard
 Architecture: all
 Depends: dvdauthor,
- imagemagick (>= 7:6.3.5),
+ imagemagick (>= 7:6.6.0),
  mjpegtools (>= 1.6.0),
  transcode,
  ffmpeg,
