=== debian/changelog ===
dvdwizard (0.7.1-2) unstable; urgency=medium

  [ Dimitri Ledkov ]
  * Port from ffmpeg to avconv. (Closes: #721165)

  [ Alessio Treglia ]
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Feb 2014 14:41:53 +0000

dvdwizard (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #690533)

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Oct 2012 10:15:06 +0000
