=== debian/control ===
Source: dvdwizard
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Homepage: http://dvdwizard.wershofen.de/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/dvdwizard.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/dvdwizard.git

Package: dvdwizard
Architecture: all
Depends:
 dvdauthor,
 libav-tools,
 imagemagick (>= 7:6.6.0),
 mjpegtools (>= 1.6.0),
 transcode,
 ${misc:Depends}
Description: fully automated creation of a DVD-structure
 DVDwizard provides a wrapper-script which incorporates a fully
 automated creation of a DVD-structure with Chapters and menus
 from one or more mpeg-streams. This is done by several sub-scripts
 and various freely available tools.
