=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install \
		prefix=/usr \
		DESTDIR=$(CURDIR)/debian/dvdwizard
	cd $(CURDIR)/debian/dvdwizard/usr/share/doc/dvdwizard && \
		rm -f CHANGELOG COPYING
	rm -rf $(CURDIR)/debian/dvdwizard/usr/share/info
	cp $(CURDIR)/dvdwizard.conf.sample \
		$(CURDIR)/debian/dvdwizard/etc/dvdwizard.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f dvdwizard.conf dvdwizard.conf.sample

override_dh_auto_test:
