=== debian/watch ===
version=3
http://www.joonet.de/dvdwizard/ftp/dvdwizard-(.*)\.tar\.gz
